ree and EC_GROUP_new_curve_GF2m undeclared

I was trying to install ree for some legacy application and got bitten by this:

error: ‘EC_GROUP_new_curve_GF2m’ undeclared

But thanks to @mpapis this was all taken care of:

rvm install ree --patch $rvm_path/patches/ruby/ssl_no_ec2m.patch

This problem surfaced right after the “Oakley curves” were removed from OpenSSL.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s